#include <allegro.h>
#include <alfont.h>
#include <string.h>
#include "credits.h"

void credits_add_item(CREDITS * cp, char * text, ALFONT_FONT * fp, int oy, int color)
{
	strcpy(cp->item[cp->items].text, text);
	cp->item[cp->items].font = fp;
	cp->item[cp->items].oy = oy;
	cp->item[cp->items].color = color;
	cp->items++;
}

void credits_logic(CREDITS * cp)
{
	cp->y -= cp->vy;
}

void credits_render(BITMAP * bp, CREDITS * cp)
{
	int i;
	
	for(i = 0; i < cp->items; i++)
	{
		alfont_textprintf_centre(bp, cp->item[i].font, SCREEN_W / 2, cp->y + cp->item[i].oy, cp->item[i].color, "%s", cp->item[i].text);
	}
}
